module FDimageBase64
  def initialize(data)
    if check_base_64(data)
      data = Base64.decode64(data)
      @image = MiniMagick::Image.read(data)
    end
  end

  private
  def check_base_64(str)
    str =~ /^([A-Za-z0-9+\/]{4})*([A-Za-z0-9+\/]{4}|[A-Za-z0-9+\/]{3}=|[A-Za-z0-9+\/]{2}==)$/
  end
end